<nav class="navbar navbar-light bg-secondary">
    <div style="margin-left: 15px">
        <a class="navbar-brand" href="#">
            <i class="bi bi-github"></i>
            <strong class="text-light"> CONSOME GITHUB</strong>
        </a>

    </div>
</nav>

<div>
    <div class="container mt-2" >
        <form class="row g-3" [formGroup]="form">
            <div class="col-auto">
                <label for="search" class="visually-hidden">Password</label>
                <input type="text" class="form-control" id="search" placeholder="Usuário ..." formControlName="search">
            </div>
            <div class="col-auto">
                <button type="submit" class="btn btn-primary mb-3" (click)="buscarUsuario()">Buscar</button>
            </div>
        </form>

        <div class="card mb-3" style="max-width: 1000px;" *ngIf="user != null">
            <div class="row g-0">
                <div class="col-md-4">
                    <img src="{{ user?.avatar_url }}" class="card-img-top" alt="...">
                </div>
                <div class="col-md-8">
                    <div class="card-body">
                        <h5 class="card-title">{{ user?.name }}</h5>
                        <p class="card-text">Nickname: {{ user?.login }}</p>
                        <p class="card-text">Blog: {{ user?.blog }}</p>
                        <p class="card-text">Quantidade repositorios: {{ user?.public_repos }}</p>
                        <p class="card-text"><small class="text-muted">Update: {{ user?.updated_at}}</small></p>
                        <div class="col-auto">
                            <button type="submit" class="btn btn-primary mb-3" (click)="buscarRepositorios(user?.repos_url)">Buscar Repositórios</button>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div class="row row-cols-1 row-cols-md-3 g-4">
            <div class="col" *ngFor="let repo of repos">
                <div class="card border-dark mb-3" style="max-width: 18rem;">
                    <div class="card-header"><strong>{{ repo?.name }}</strong></div>
                    <div class="card-body text-dark">
                        <h5 class="card-title">{{ repo?.full_name }}</h5>
                        <p class="card-text">Descrição: {{ repo?.description != null ? repo?.description : 'sem descrição.' }}</p>
                        <p class="card-text"><a href="{{ repo?.html_url }}" target="_blank">{{ repo?.html_url }}</a></p>
                    </div>
                </div>
            </div>
        </div>



        <div>
<!--        {{ user | json }}-->
<!--        {{ repos | json }}-->
        </div>
    </div>
</div>
